#
# spec file for package gnguile (Version 0.20)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  guile gnlibs gnobjc gpp libgpp gtk imlib xpm gettext libtiff libjpeg libpng libgif libz autoconf automake

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         gnguile
Release:      6
Copyright:    1997, The GNOME Team
Group: 
Provides:     gnome-guile 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.20
Summary:      GNOME Guile
Source:  gnome-guile-0.20.tar.gz
# Patch:   .dif
%description
A Scheme extension for GNOME programs.
Documentation: 
GNOME online help
/usr/doc/packages/gnome 

Authors:
--------
    Carsten Schaar <nhadcasc@fs-maphy.uni-hannover.de>
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    Lauri Alanko <la@iki.fi>
    Marc Ewing <marc@redhat.com>
    Marius Vollmer <mvo@zagadka.ping.de>
    Martin Baulig <baulig@merkur.uni-trier.de>
    Raja R Harinath <harinath@cs.umn.edu>
    Tom Tromey <tromey@cygnus.com>

%prep
%setup -n gnome-guile-0.20
# %patch
%build
./configure \
    --prefix=/opt/gnome \
    --datadir=/opt/gnome/share \
    --localstatedir=/var
make -j 4
%install
DOCDIR=/usr/doc/packages/gnome/guile
DOC="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README"
make -j 4 install
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
Check
%files
%dir /opt/gnome/share/guile
%dir /opt/gnome/share/guile/gnome
%dir /opt/gnome/share/guile/gtk
%dir /opt/gnome/share/guile/site
%dir /opt/gnome/share/guile/toolkits
%docdir /usr/doc/packages/gnome/guile
%doc /usr/doc/packages/gnome/guile/ABOUT-NLS
%doc /usr/doc/packages/gnome/guile/AUTHORS
%doc /usr/doc/packages/gnome/guile/COPYING
%doc /usr/doc/packages/gnome/guile/ChangeLog
%doc /usr/doc/packages/gnome/guile/INSTALL
%doc /usr/doc/packages/gnome/guile/NEWS
%doc /usr/doc/packages/gnome/guile/README
/opt/gnome/bin/build-guile-gtk
/opt/gnome/bin/gnomeg
/opt/gnome/bin/guile-gtk
/opt/gnome/include/guile-gtk.h
/opt/gnome/lib/libguiledlopenhelper.a
/opt/gnome/lib/libguiledlopenhelper.la
/opt/gnome/lib/libguiledlopenhelper.so
/opt/gnome/lib/libguiledlopenhelper.so.0
/opt/gnome/lib/libguiledlopenhelper.so.0.0.0
/opt/gnome/lib/libguilegtk.a
/opt/gnome/lib/libguilegtk.la
/opt/gnome/lib/libguilegtk.so
/opt/gnome/lib/libguilegtk.so.0
/opt/gnome/lib/libguilegtk.so.0.0.0
/opt/gnome/share/gtk/gdk.defs
/opt/gnome/share/gtk/gdk.defs.guile
/opt/gnome/share/gtk/gtk.defs
/opt/gnome/share/gtk/gtk.defs.guile
/opt/gnome/share/guile/gnome/gnome.scm
/opt/gnome/share/guile/gtk/dynlink.scm
/opt/gnome/share/guile/gtk/gdk.scm
/opt/gnome/share/guile/gtk/gtk.scm
/opt/gnome/share/guile/site/event-repl.scm
/opt/gnome/share/guile/toolkits/gtk.scm

